<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Sortable Table</title>
    <!-- MDB CSS -->
    <link
      href="https://cdnjs.cloudflare.com/ajax/libs/mdb-ui-kit/3.10.2/mdb.min.css"
      rel="stylesheet"
    />
    <!-- SortableJS CSS (optional for additional styles) -->
    <style>
        body {
            padding-top: 15px;
        }
        .table-row {
            cursor: move;
        }
        .fixed-button-container {
            position: fixed;
            bottom: 20px;
            left: 50%;
            transform: translateX(-50%);
            z-index: 1000;
            display: flex;
            gap: 10px;
        }
        .center-content {
            text-align: center;
            margin-bottom: 20px;
        }
        .select-container {
            display: flex;
            justify-content: center;
            gap: 10px;
            margin-bottom: 20px;
        }
        select {
            width: 180px;
        }
        .table-container {
            max-width: 980px;
            margin: 0 auto;
        }
    </style>
</head>
<body>
    <div class="container mt-3">
        <div class="center-content">
            <h4>Sortable Table of Users</h4>
        </div>
        <div class="select-container">
            <select name="visaType" id="visaType">
                <option value="">-- Select a Visa Type --</option>
                <option value="F1 Fresher">F1 Fresher</option>
                <option value="F1 Refused">F1 Refused</option>
                <option value="B1/B2">B1/B2</option>
            </select>
            <select name="priority" id="priority">
                <option value="">-- Select a Priority --</option>
                <option value="all">All</option>
                <option value="top priority">Top Most Priority</option>
            </select>
        </div>
        <div class="table-container">
            <table class="table">
                <thead>
                    <tr>
                        <th scope="col" style="font-weight: bold;">Name</th>
                        <th scope="col" style="font-weight: bold;">Visa Type</th>
                        <th scope="col" style="font-weight: bold;">OFC</th>
                        <th scope="col" style="font-weight: bold;">VI</th>
                        <th scope="col" style="font-weight: bold;">Time</th>
                        <th scope="col" style="font-weight: bold;">Payment</th>
                        <th scope="col" style="font-weight: bold;">Join Date</th>
                        <th scope="col" style="font-weight: bold;">Customer Type</th>

                    </tr>
                </thead>
                <tbody id="sortable-table">
                    <!-- Dynamic rows will be populated here based on selection -->
                </tbody>
            </table>
        </div>
    </div>

    <div class="fixed-button-container">
        <button type="button" class="btn btn-secondary" onclick="window.history.back();">Back</button>
        <button type="button" class="btn btn-primary" onclick="saveData()">Save</button>
    </div>

    <!-- MDB JavaScript -->
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mdb-ui-kit/3.10.2/mdb.min.js"></script>
    <!-- SortableJS JavaScript -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Sortable/1.14.0/Sortable.min.js"></script>
    <script>
        const data = {
            'B1/B2': {
                'top priority': [
                    ['amritasingh17304', 'B1/B2', 'Mum', 'Mum', 'Jun 25-Jul 5', '9969', '01/01/2024', 'Direct'],
                    ['Rama', 'B1/B2', 'Mum', 'Mum', 'Jun 25-Jul 5', '5000', '02/01/2024', 'Agent']
                ],
                'normal': [
                    ['amritasingh17304', 'B1/B2', 'Mum', 'Mum', 'Jun 25-Jul 5', '1000', '02/01/2024', 'Direct'],
                    ['vela', 'B1/B2', 'Mum', 'Mum', 'Jun 25-Jul 5', '1000', '02/01/2024', 'Agent'],
                    ['amritasingh17304', 'B1/B2', 'Mum', 'Mum', 'Jun 25-Jul 5', '3000', '010/01/2024', 'Agent'],
                    ['Raju', 'B1/B2', 'Mum', 'Mum', 'Jun 25-Jul 5', '2500', '11/01/2024', 'Direct']
                ]
            },
            'F1 Fresher': {
                'top priority': [
                    ['amritasingh17304', 'F1', 'Mum', 'Mum', 'Jun 25-Jul 5', '9969', '01/01/2024', 'Direct'],
                    ['Rama', 'F1', 'Mum', 'Mum', 'Jun 25-Jul 5', '5000', '02/01/2024', 'Agent']
                ],
                'normal': [
                    ['amritasingh17304', 'F1', 'Mum', 'Mum', 'Jun 25-Jul 5', '1000', '02/01/2024', 'Direct'],
                    ['vela', 'F1', 'Mum', 'Mum', 'Jun 25-Jul 5', '1000', '02/01/2024', 'Agent'],
                    ['amritasingh17304', 'F1', 'Mum', 'Mum', 'Jun 25-Jul 5', '3000', '010/01/2024', 'Agent'],
                    ['Raju', 'F1', 'Mum', 'Mum', 'Jun 25-Jul 5', '2500', '11/01/2024', 'Direct']
                ]
            },
            'F1 Refused': {
                'top priority': [
                    ['amritasingh17304', 'F1 Ref', 'Mum', 'Mum', 'Jun 25-Jul 5', '9969', '01/01/2024', 'Direct'],
                    ['Rama', 'F1 Ref', 'Mum', 'Mum', 'Jun 25-Jul 5', '5000', '02/01/2024', 'Agent']
                ],
                'normal': [
                    ['amritasingh17304', 'F1 Ref', 'Mum', 'Mum', 'Jun 25-Jul 5', '1000', '02/01/2024', 'Direct'],
                    ['vela', 'F1 Ref1', 'Mum', 'Mum', 'Jun 25-Jul 5', '1000', '02/01/2024', 'Agent'],
                    ['amritasingh17304', 'F1 Ref', 'Mum', 'Mum', 'Jun 25-Jul 5', '3000', '010/01/2024', 'Agent'],
                    ['Raju', 'F1 Ref', 'Mum', 'Mum', 'Jun 25-Jul 5', '2500', '11/01/2024', 'Direct']
                ]
            }
        };

        const visaTypeSelect = document.getElementById('visaType');
        const prioritySelect = document.getElementById('priority');
        const tableBody = document.getElementById('sortable-table');

        visaTypeSelect.addEventListener('change', populateTable);
        prioritySelect.addEventListener('change', populateTable);

        function populateTable() {
            const visaType = visaTypeSelect.value;
            const priority = prioritySelect.value;
            
            if (visaType) {
                let rows = [];
                if (priority === 'all') {
                    for (let pri in data[visaType]) {
                        rows = rows.concat(data[visaType][pri]);
                    }
                } else if (priority) {
                    rows = data[visaType][priority];
                }
                tableBody.innerHTML = '';
                rows.forEach(row => {
                    const tr = document.createElement('tr');
                    tr.className = 'table-row';
                    row.forEach(cell => {
                        const td = document.createElement('td');
                        td.textContent = cell;
                        tr.appendChild(td);
                    });
                    tableBody.appendChild(tr);
                });

                new Sortable(tableBody, {
                    animation: 150,
                    ghostClass: 'blue-background-class'
                });
            }
        }

        function saveData() {
            const rows = Array.from(tableBody.querySelectorAll('tr')).map(tr => 
                Array.from(tr.querySelectorAll('td')).map(td => td.textContent)
            );

            // Here you can send the rows data to the server or handle it as needed
            console.log('Saved Data:', rows);
            alert('Data saved successfully!');
        }
    </script>
</body>
</html>
