<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>User Management</title>
    <style>
        body, html {
            height: 100%;
            margin: 0;
            font-family: Arial, sans-serif;
            background-color: #f0f0f0;
        }
        .container {
            display: flex;
            height: 100%;
            background-color: #ffffff;
        }
        .section {
            flex: 1;
            border: 1px solid #ddd;
            padding: 5px;
            box-sizing: border-box;
            overflow-y: auto;
            background-color: #f8f9fa;
        }
        .split-section {
            display: flex;
            flex-direction: column;
        }
        .half-section {
            flex: 1;
            border: 1px solid #ddd;
            padding: 5px;
            box-sizing: border-box;
            overflow-y: auto;
            background-color: #e9ecef;
        }
        table {
            width: 100%;
            border-collapse: collapse;
            background-color: #ffffff;
        }
        th, td {
            border: 1px solid #ddd;
            padding: 5px;
            text-align: left;
        }
        th {
            background-color: #007bff;
            color: #ffffff;
        }
        .action-btn {
            margin-right: 5px;
            background: none;
            border: none;
            cursor: pointer;
        }
        .action-btn img {
            width: 20px;
            height: 20px;
        }
        .filter {
            margin-bottom: 5px;
        }
        .filter label {
            display: block;
            margin-bottom: 2px;
        }
        .filter select {
            width: 100%;
            padding: 2px;
            box-sizing: border-box;
        }
        .options {
            margin-top: 5px;
        }
        .options-title {
            font-weight: bold;
        }
        .label {
            text-align: center;
            font-size: 16px;
            font-weight: bold;
            margin-bottom: 5px;
        }
        .common-label-view {
            height: 40px;
            display: flex;
            align-items: center;
            justify-content: center;
            border: 1px solid #ddd;
            margin-bottom: 5px;
            width: 100%;
            text-align: center;
            background-color: #6c757d;
            color: #ffffff;
        }
        .columns-container {
            display: flex;
            flex: 1;
            flex-direction: column;
        }
        .columns {
            display: flex;
            width: 100%;
        }

        .submit-button-container {
            display: flex;
            justify-content: center;
            align-items: center;
            background-color: #ffffff;
            position: fixed;
            bottom: 0;
            width: 100%;
        }

        .submit-button-container button {
            padding: 8px 15px;
            font-size: 13px;
            cursor: pointer;
            background-color: #28a745;
            color: #ffffff;
            border: none;
            border-radius: 3px;
            margin: 0 5px;
        }

    </style>
</head>
<body>
    <div class="container">
        <div class="section">
            <div class="filter">
                <label for="prioritySelect">Priority:</label>
                <select id="prioritySelect">
                    <option value="top">Pending List</option>
                    <option value="top">Top Most Priority</option>
                    <option value="high">High Priority</option>
                    <option value="normal">Normal</option>
                    <option value="all">All</option>
                </select>
            </div>
            <h3>Registered Users</h3>
            <table id="userTable">
                <tr>
                    <th>Name</th>
                    <th>Actions</th>
                </tr>
                <!-- Sample data for Registered Users -->
                <tr>
                    <td>John Doe</td>
                    <td>
                        <button class="action-btn" onclick="assignUser('John Doe')"><img src="https://img.icons8.com/material-sharp/24/000000/plus.png" alt="Assign"></button>
                    </td>
                </tr>
                <tr>
                    <td>Jane Smith</td>
                    <td>
                        <button class="action-btn" onclick="assignUser('Jane Smith')"><img src="https://img.icons8.com/material-sharp/24/000000/plus.png" alt="Assign"></button>
                    </td>
                </tr>
                <tr>
                    <td>Sam Johnson</td>
                    <td>
                        <button class="action-btn" onclick="assignUser('Sam Johnson')"><img src="https://img.icons8.com/material-sharp/24/000000/plus.png" alt="Assign"></button>
                    </td>
                </tr>
            </table>
        </div>
        <div class="columns-container">
            <div class="common-label-view" id="commonLabelView">No Crew Member or Agent Assigned</div>
            <div class="columns">
                <div class="section">
                    <div class="label">Crew Members</div>
                    <div class="filter">
                        <label for="crewExperienceSelect">Experience Level:</label>
                        <select id="crewExperienceSelect">
                            <option value="all">All</option>
                            <option value="experienced">Experienced</option>
                            <option value="medium">Medium</option>
                            <option value="newbie">Newbie</option>
                        </select>
                    </div>
                    <div class="options">
                        <table id="crewOptionsList">
                            <tr>
                                <th>Name</th>
                                <th>Action</th>
                            </tr>
                            <!-- Sample data for Crew Members -->
                            <tr id="crew-Gpt">
                                <td>Gpt</td>
                                <td>
                                    <button class="action-btn" onclick="assignCrewMember('Gpt')"><img src="https://img.icons8.com/material-sharp/24/000000/plus.png" alt="Assign"></button>
                                </td>
                            </tr>
                            <tr id="crew-Gemini">
                                <td>Gemini</td>
                                <td>
                                    <button class="action-btn" onclick="assignCrewMember('Gemini')"><img src="https://img.icons8.com/material-sharp/24/000000/plus.png" alt="Assign"></button>
                                </td>
                            </tr>
                            <tr id="crew-Leo">
                                <td>Leo</td>
                                <td>
                                    <button class="action-btn" onclick="assignCrewMember('Leo')"><img src="https://img.icons8.com/material-sharp/24/000000/plus.png" alt="Assign"></button>
                                </td>
                            </tr>
                            <tr id="crew-Perplexity">
                                <td>Perplexity</td>
                                <td>
                                    <button class="action-btn" onclick="assignCrewMember('Perplexity')"><img src="https://img.icons8.com/material-sharp/24/000000/plus.png" alt="Assign"></button>
                                </td>
                            </tr>
                        </table>
                    </div>
                </div>
                <div class="section">
                    <div class="label">Agents</div>
                    <div class="filter">
                        <label for="agentExperienceSelect">Experience Level:</label>
                        <select id="agentExperienceSelect">
                            <option value="all">All</option>
                            <option value="experienced">Experienced</option>
                            <option value="medium">Medium</option>
                            <option value="newbie">Newbie</option>
                        </select>
                    </div>
                    <div class="options">
                        <table id="agentOptionsList">
                            <tr>
                                <th>Name</th>
                                <th>Action</th>
                            </tr>
                            <!-- Sample data for Agents -->
                            <tr id="agent-Axis">
                                <td>Axis</td>
                                <td>
                                    <button class="action-btn" onclick="assignAgent('Axis')"><img src="https://img.icons8.com/material-sharp/24/000000/plus.png" alt="Assign"></button>
                                </td>
                            </tr>
                            <tr id="agent-Sw">
                                <td>Sw</td>
                                <td>
                                    <button class="action-btn" onclick="assignAgent('Sw')"><img src="https://img.icons8.com/material-sharp/24/000000/plus.png" alt="Assign"></button>
                                </td>
                            </tr>
                            <tr id="agent-Hw">
                                <td>Hw</td>
                                <td>
                                    <button class="action-btn" onclick="assignAgent('Hw')"><img src="https://img.icons8.com/material-sharp/24/000000/plus.png" alt="Assign"></button>
                                </td>
                            </tr>
                            <tr id="agent-MM">
                                <td>MM</td>
                                <td>
                                    <button class="action-btn" onclick="assignAgent('MM')"><img src="https://img.icons8.com/material-sharp/24/000000/plus.png" alt="Assign"></button>
                                </td>
                            </tr>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <div class="split-section section">
            <div class="half-section">
                <h3>Crew Members Assigned</h3>
                <table id="assignedCrewTable">
                    <tr>
                        <th>Name</th>
                        <th>Action</th>
                    </tr>
                    <!-- Sample data for Crew Members Assigned -->
                </table>
            </div>
            <div class="half-section">
                <h3>Agents Assigned</h3>
                <table id="assignedAgentTable">
                    <tr>
                        <th>Name</th>
                        <th>Action</th>
                    </tr>
                    <!-- Sample data for Agents Assigned -->
                </table>
            </div>
        </div>
    </div>
    <div class="submit-button-container">
        <button onclick="history.back()">Back</button>    
        <button onclick="submitChanges()">Submit</button>
    </div>

    <script>
        let currentAssignedUser = '';

        function assignUser(userName) {
            const labelView = document.getElementById('commonLabelView');
            labelView.innerText = userName;
            currentAssignedUser = userName;
        }

        function assignCrewMember(name) {
            if (currentAssignedUser === '') {
                alert('Please assign a user from Registered Users first.');
                return;
            }
            const table = document.getElementById('assignedCrewTable');
            const row = table.insertRow();
            const cell1 = row.insertCell(0);
            const cell2 = row.insertCell(1);
            cell1.innerText = name;
            cell2.innerHTML = `<button class="action-btn" onclick="deassignCrewMember('${name}')"><img src="https://img.icons8.com/material-outlined/24/000000/minus.png" alt="Deassign"></button>`;
            document.getElementById(`crew-${name}`).style.display = 'none';
        }

        function assignAgent(name) {
            if (currentAssignedUser === '') {
                alert('Please assign a user from Registered Users first.');
                return;
            }
            const table = document.getElementById('assignedAgentTable');
            const row = table.insertRow();
            const cell1 = row.insertCell(0);
            const cell2 = row.insertCell(1);
            cell1.innerText = name;
            cell2.innerHTML = `<button class="action-btn" onclick="deassignAgent('${name}')"><img src="https://img.icons8.com/material-outlined/24/000000/minus.png" alt="Deassign"></button>`;
            document.getElementById(`agent-${name}`).style.display = 'none';
        }

        function deassignCrewMember(name) {
            document.getElementById(`crew-${name}`).style.display = '';
            const table = document.getElementById('assignedCrewTable');
            for (let i = 1, row; row = table.rows[i]; i++) {
                if (row.cells[0].innerText === name) {
                    table.deleteRow(i);
                    break;
                }
            }
        }

        function deassignAgent(name) {
            document.getElementById(`agent-${name}`).style.display = '';
            const table = document.getElementById('assignedAgentTable');
            for (let i = 1, row; row = table.rows[i]; i++) {
                if (row.cells[0].innerText === name) {
                    table.deleteRow(i);
                    break;
                }
            }
        }

        function submitChanges() {
            let assignedCrew = [];
            let assignedAgents = [];
            const crewTable = document.getElementById('assignedCrewTable');
            const agentTable = document.getElementById('assignedAgentTable');

            for (let i = 1, row; row = crewTable.rows[i]; i++) {
                assignedCrew.push(row.cells[0].innerText);
            }

            for (let i = 1, row; row = agentTable.rows[i]; i++) {
                assignedAgents.push(row.cells[0].innerText);
            }

            alert(`Changes are saved for:\nCrew Members: ${assignedCrew.join(', ')}\nAgents: ${assignedAgents.join(', ')}`);
        }
    </script>
</body>
</html>